Superadmin APIs/Server Management
Server Action
POST
/superadmin/server/actionsBearer token required
SUPERADMINContent-Type:
application/jsonDestructive Operation
This action cannot be undone. Ensure you have the correct resource identifier before proceeding.
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
componentId | string | Required | frontendbackendlistenernginxredispostgres |
action | string | Required | restartreloadstartstop |
Request Example
JSON
{
"componentId": "frontend",
"action": "restart"
}Code Examples
curl -X POST 'https://<your-domain>:3001/superadmin/server/actions' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"componentId": "frontend",
"action": "restart"
}'Notes
- frontend: restart
- backend: restart
- listener: restart, start
- nginx: restart, reload, start
- redis: restart, start, stop
- postgres: restart, start, stop